make keystone service description configurable

Bug #1468407 reported by Sebastien Badia on 2015-06-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Low
zhongshengping
Stein
Low
zhongshengping
puppet-barbican
Low
zhongshengping
Stein
Low
zhongshengping
puppet-ceilometer
Low
Sebastien Badia
puppet-cinder
Low
Sebastien Badia
puppet-designate
Low
Sebastien Badia
puppet-gnocchi
Low
Sebastien Badia
puppet-heat
Low
zhongshengping
Stein
Low
zhongshengping
puppet-ironic
Low
Sebastien Badia
puppet-magnum
Low
zhongshengping
Stein
Low
zhongshengping
puppet-manila
Low
Sebastien Badia
puppet-monasca
Low
Bradley Klein
puppet-neutron
Low
Sebastien Badia
puppet-nova
Low
Sebastien Badia
puppet-octavia
Low
zhongshengping
Stein
Low
zhongshengping
puppet-swift
Low
Sebastien Badia
puppet-trove
Low
Sebastien Badia
puppet-tuskar
Low
Sebastien Badia
puppet-vitrage
Low
zhongshengping
Stein
Low
zhongshengping

Bug Description

As Dan and Colleen pointed out in the patch 178009¹ and 185092², the service
description cannot be updated, so making this change causes problems for users
trying to upgrade.

This bug was filled in order to track the addition of this parameter.

¹https://review.openstack.org/#/c/178009/
²https://review.openstack.org/#/c/185092/

 affects puppet-tuskar
 status confirmed
 assignee sbadia
 importance low
 affects puppet-trove
 status confirmed
 assignee sbadia
 importance low
 affects puppet-swift
 status confirmed
 assignee sbadia
 importance low
 affects puppet-nova
 status confirmed
 assignee sbadia
 importance low
 affects puppet-neutron
 status confirmed
 assignee sbadia
 importance low
 affects puppet-monasca
 status confirmed
 assignee sbadia
 importance low
 affects puppet-manila
 status confirmed
 assignee sbadia
 importance low
 affects puppet-ironic
 status confirmed
 assignee sbadia
 importance low
 affects puppet-heat
 status confirmed
 assignee sbadia
 importance low
 affects puppet-gnocchi
 status confirmed
 assignee sbadia
 importance low
 affects puppet-designate
 status confirmed
 assignee sbadia
 importance low
 affects puppet-cinder
 status confirmed
 assignee sbadia
 importance low
 affects puppet-ceilometer
 status confirmed
 assignee sbadia
 importance low

Changed in puppet-tuskar:
status: Confirmed → In Progress
Changed in puppet-trove:
status: Confirmed → In Progress
Changed in puppet-swift:
status: Confirmed → In Progress
Changed in puppet-nova:
status: Confirmed → In Progress
Changed in puppet-neutron:
status: Confirmed → In Progress
Changed in puppet-manila:
status: Confirmed → In Progress
Changed in puppet-heat:
status: Confirmed → In Progress
Changed in puppet-ironic:
status: Confirmed → In Progress
Changed in puppet-gnocchi:
status: Confirmed → In Progress
Changed in puppet-designate:
status: Confirmed → In Progress
Changed in puppet-cinder:
status: Confirmed → In Progress
Changed in puppet-ceilometer:
status: Confirmed → In Progress
Changed in puppet-monasca:
status: Confirmed → In Progress
Changed in puppet-swift:
assignee: Sebastien Badia (sbadia) → Emilien Macchi (emilienm)
Changed in puppet-monasca:
assignee: Sebastien Badia (sbadia) → Bradley Klein (brad-klein)
Changed in puppet-swift:
assignee: Emilien Macchi (emilienm) → Sebastien Badia (sbadia)
Changed in puppet-monasca:
status: In Progress → Fix Committed
Changed in puppet-nova:
status: In Progress → Fix Committed
Changed in puppet-designate:
status: In Progress → Fix Committed
Changed in puppet-ironic:
status: In Progress → Fix Committed
Mathieu Gagné (mgagne) on 2015-07-09
Changed in puppet-nova:
milestone: none → 6.0.0
Mathieu Gagné (mgagne) on 2015-07-09
Changed in puppet-designate:
milestone: none → 6.0.0
Changed in puppet-ironic:
milestone: none → 6.0.0
Mathieu Gagné (mgagne) on 2015-07-10
Changed in puppet-ironic:
status: Fix Committed → Fix Released
Changed in puppet-nova:
status: Fix Committed → Fix Released
Changed in puppet-designate:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/195158
Committed: https://git.openstack.org/cgit/openstack/puppet-tuskar/commit/?id=aefad7cc2953a210f2ebd49e19e126c4462f04c8
Submitter: Jenkins
Branch: master

commit aefad7cc2953a210f2ebd49e19e126c4462f04c8
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:49:12 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I490dfdc96254967aff0acd64bf4cb2648820fe49
    Closes-Bug: #1468407

Changed in puppet-tuskar:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195159
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=d1f751bcfd24940a6a069052615aedddf8e1b3a0
Submitter: Jenkins
Branch: master

commit d1f751bcfd24940a6a069052615aedddf8e1b3a0
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:50:39 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Id87939c9723fce5303182fff0c98dc4c2f3072b1
    Closes-Bug: #1468407

Changed in puppet-trove:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195170
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=e7dfcc85deee36633e8cdfeea1fc8707c3690019
Submitter: Jenkins
Branch: master

commit e7dfcc85deee36633e8cdfeea1fc8707c3690019
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:51:15 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Ia0ddf657991db1dd82ca063a944132643054d514
    Closes-Bug: #1468407

Changed in puppet-ceilometer:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195168
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=ad066d28978a6ac172a97b2db0c063458f515d56
Submitter: Jenkins
Branch: master

commit ad066d28978a6ac172a97b2db0c063458f515d56
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:51:12 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Ic21ab0b5b79d317426e8458e958195b4235b727d
    Closes-Bug: #1468407

Changed in puppet-cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195166
Committed: https://git.openstack.org/cgit/openstack/puppet-gnocchi/commit/?id=14558869ea888202c0d9f5f1094f56bae7d7e829
Submitter: Jenkins
Branch: master

commit 14558869ea888202c0d9f5f1094f56bae7d7e829
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:51:05 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I2cd251e722fc4fc2bcaffb06525501f73c9c8245
    Closes-Bug: #1468407

Changed in puppet-gnocchi:
status: In Progress → Fix Committed
Changed in puppet-manila:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195164
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=b2fae35db5b6b1bb9d41a99cde04c657ec716681
Submitter: Jenkins
Branch: master

commit b2fae35db5b6b1bb9d41a99cde04c657ec716681
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:50:58 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I86dcdb118a229cfdf7b0cde8010eb26b71a0ab32
    Closes-Bug: #1468407

Changed in puppet-heat:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195165
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=0ea44a1eb117bdffb4dcd2ccc95e2c34d31cdd35
Submitter: Jenkins
Branch: master

commit 0ea44a1eb117bdffb4dcd2ccc95e2c34d31cdd35
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:51:02 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Ifa39ae38c1004924f14089cfc45394839d442081
    Closes-Bug: #1468407

Changed in puppet-neutron:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195163
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=c8f4c4cd17c072aa9bb24ef89430da564ed3fe24
Submitter: Jenkins
Branch: master

commit c8f4c4cd17c072aa9bb24ef89430da564ed3fe24
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:50:52 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I5c8a8e62e886d4778b44176a85c00717e57500ee
    Closes-Bug: #1468407

Changed in puppet-swift:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/195160
Committed: https://git.openstack.org/cgit/openstack/puppet-swift/commit/?id=8d7fa4d5a76defd8d20dfe698b7cedc719292f48
Submitter: Jenkins
Branch: master

commit 8d7fa4d5a76defd8d20dfe698b7cedc719292f48
Author: Sebastien Badia <email address hidden>
Date: Wed Jun 24 17:50:44 2015 +0200

    keystone/auth: make service description configurable

    This commit adds the service description (service_description) and service
    description for S3 (service_description_s3) as a class parameter in order
    to allowusers to update from a previous version if the service description
    is changed (incorrectly spelled or wrong description).

    Change-Id: I5b52ce2fb89c9e0c4e9470c676b35da249f89bbe
    Closes-Bug: #1468407

Changed in puppet-ceilometer:
status: Fix Committed → Fix Released
Changed in puppet-cinder:
status: Fix Committed → Fix Released
Changed in puppet-gnocchi:
status: Fix Committed → Fix Released
Changed in puppet-heat:
status: Fix Committed → Fix Released
Changed in puppet-manila:
status: Fix Committed → Fix Released
Changed in puppet-monasca:
status: Fix Committed → Fix Released
Changed in puppet-neutron:
status: Fix Committed → Fix Released
Changed in puppet-swift:
status: Fix Committed → Fix Released
Changed in puppet-trove:
status: Fix Committed → Fix Released
Changed in puppet-tuskar:
status: Fix Committed → Fix Released
zhongshengping (chdzsp) on 2018-12-17
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/625490

Changed in puppet-aodh:
status: New → In Progress
zhongshengping (chdzsp) on 2018-12-17
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/625492

Changed in puppet-barbican:
status: New → In Progress
zhongshengping (chdzsp) on 2018-12-17
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/625496

Changed in puppet-magnum:
status: New → In Progress
zhongshengping (chdzsp) on 2018-12-17
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/625497

Changed in puppet-octavia:
status: New → In Progress
zhongshengping (chdzsp) on 2018-12-17
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)
importance: Undecided → Low

Fix proposed to branch: master
Review: https://review.openstack.org/625498

Changed in puppet-vitrage:
status: New → In Progress

Reviewed: https://review.openstack.org/625496
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=a5cc5a37b6c44397397937a4bd1d48983fa67ef7
Submitter: Zuul
Branch: master

commit a5cc5a37b6c44397397937a4bd1d48983fa67ef7
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Dec 17 14:25:53 2018 +0800

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Ief760b7c1b74b567c0e34b2e828f40906c8b628b
    Closes-Bug: #1468407

Changed in puppet-magnum:
status: In Progress → Fix Released
Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/625497
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=be7f05f2d1b7c508001bde1149830f8cf792b356
Submitter: Zuul
Branch: master

commit be7f05f2d1b7c508001bde1149830f8cf792b356
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Dec 17 14:28:38 2018 +0800

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I6a39ad07e76c388b7262d196a30a1ae28d0f6203
    Closes-Bug: #1468407

Reviewed: https://review.openstack.org/625498
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=006aef41bb1bc458e7578ae62023b15d66ef5c22
Submitter: Zuul
Branch: master

commit 006aef41bb1bc458e7578ae62023b15d66ef5c22
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Dec 17 14:32:29 2018 +0800

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Id1baa0efbd5087c18d39f2c7d4089f6fb31f6bfd
    Closes-Bug: #1468407

Changed in puppet-vitrage:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/625494
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=eb987337644d135636a4430a17da33c7d799bbc7
Submitter: Zuul
Branch: master

commit eb987337644d135636a4430a17da33c7d799bbc7
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Dec 17 14:22:01 2018 +0800

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: Ibe18499a1ad815ce42f9b64821261fe721d40aff
    Closes-Bug: #1468407

zhongshengping (chdzsp) on 2018-12-20
Changed in puppet-heat:
assignee: Sebastien Badia (sbadia) → zhongshengping (chdzsp)

Reviewed: https://review.openstack.org/625492
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=713dc65543ff46c50cc161a008b5a882037c9e9a
Submitter: Zuul
Branch: master

commit 713dc65543ff46c50cc161a008b5a882037c9e9a
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Dec 17 14:18:17 2018 +0800

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I689b27bcc358e6c4797b97fb3a7ef8e9aee152fe
    Closes-Bug: #1468407

Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/625490
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=1dcb9be147d41edd8a8db92f715fbf6ce0d59ea4
Submitter: Zuul
Branch: master

commit 1dcb9be147d41edd8a8db92f715fbf6ce0d59ea4
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Dec 17 14:11:07 2018 +0800

    keystone/auth: make service description configurable

    This commit adds the service description as a class parameter in order to allow
    users to update from a previous version if the service description is changed
    (incorrectly spelled or wrong description)

    Change-Id: I06c8ef5891e30df1edc491145f3bba83485f995e
    Closes-Bug: #1468407

Changed in puppet-aodh:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-aodh 14.2.0 release.

This issue was fixed in the openstack/puppet-barbican 14.2.0 release.

This issue was fixed in the openstack/puppet-heat 14.2.0 release.

This issue was fixed in the openstack/puppet-magnum 14.2.0 release.

This issue was fixed in the openstack/puppet-octavia 14.2.0 release.

This issue was fixed in the openstack/puppet-vitrage 4.2.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers